/*
 * htmlcallbacks.h
 * htmllite
 *
 * by Doug Wolfe
 * doug@wolfescience.com 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc.,  59 Temple Place - Suite 330, Cambridge, MA 02139, USA.
 *
 */

#include <gtk/gtk.h>

void on_dialoglite_show (GtkWidget * widget, gpointer user_data);

void setup_buffer (GtkWidget * widget, gchar * text, gboolean * debug);
void on_dialoglite_response (GtkDialog * dialog, gint response_id, gpointer user_data);

void on_toolbtnCut_clicked (GtkToolButton * toolbutton, gpointer user_data);
void on_toolbtnCopy_clicked (GtkToolButton * toolbutton, gpointer user_data);
void on_toolbtnPaste_clicked (GtkToolButton * toolbutton, gpointer user_data);
void on_toolbtnDeleteText_clicked (GtkToolButton * toolbutton, gpointer user_data);
void on_toolbtnClear_clicked (GtkToolButton * toolbutton, gpointer user_data);

void on_toolbtnUndo_clicked (GtkToolButton * toolbutton, gpointer user_data);
void on_toolbtnRedo_clicked (GtkToolButton * toolbutton, gpointer user_data);

void on_toggletoolbtn_bold_toggled (GtkToggleToolButton *toggletoolbutton, gpointer user_data);
void on_toggletoolbtn_italic_toggled (GtkToggleToolButton *toggletoolbutton, gpointer user_data);
void on_toggletoolbtn_underline_toggled (GtkToggleToolButton *toggletoolbutton, gpointer user_data);
void on_toggletoolbtn_strike_toggled (GtkToggleToolButton *toggletoolbutton, gpointer user_data);
void on_toggletoolbtn_superscript_toggled (GtkToggleToolButton *toggletoolbutton, gpointer user_data);
void on_toggletoolbtn_subscript_toggled (GtkToggleToolButton *toggletoolbutton, gpointer user_data);

void on_toolbtn_color_clicked (GtkToolButton * toolbutton, gpointer user_data);
void on_toolbutton_font_backgroundcolor_clicked (GtkToolButton *toolbutton, gpointer user_data);

void on_toolbuttonSymbol_clicked (GtkToolButton * toolbutton, gpointer user_data);
void on_combobox_unicodetype_changed (GtkComboBox * combobox, gpointer user_data);

void on_btn_ExportHtml_clicked (GtkButton * button, gpointer user_data);
void on_btn_ImportHtml_clicked (GtkButton * button, gpointer user_data);

void on_dialoglite_add (GtkContainer * container, GtkWidget * widget, gpointer user_data);

void on_toolbutton_Image_clicked (GtkToolButton * toolbutton, gpointer user_data);

void on_combobox_fontsize_absolute_changed (GtkComboBox * combobox, gpointer user_data);
void on_combobox_font_changed (GtkComboBox * combobox, gpointer user_data);

void on_textview_move_cursor (GtkTextView * textview,
                                        GtkMovementStep  step,
                                        gint             count,
                                        gboolean         extend_selection,
                                        gpointer         user_data);

gboolean
on_textview_focus_out_event            (GtkWidget       *widget,
                                        GdkEventFocus   *event,
                                        gpointer         user_data);

void
on_textview_insert_at_cursor           (GtkTextView     *textview,
                                        gchar           *string,
                                        gpointer         user_data);


gboolean
on_textview_key_release_event          (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

gboolean
on_textview_button_press_event         (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_textview_button_release_event       (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

